Bug 188429 - Review Request: glib
Summary: Review Request: glib
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 188430
TreeView+ depends on / blocked
 
Reported: 2006-04-09 17:36 UTC by Rex Dieter
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:34:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2006-04-09 17:36:54 UTC
Spec Name or Url: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/glib-1.2.10-19.spec
SRPM Name or Url: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/glib-1.2.10-19.src.rpm
Description: 
GLib is a handy library of utility functions. This C library is
designed to solve some portability problems and provide other useful
functionality which most programs require.

GLib is used by GDK, GTK+ and many applications.  You should install
th glib package because many of your applications will depend on this
library.


Removed from devel/fc6 Core, intended for (fc6 only) Extras.

* Thu Apr 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1:1.2.10-19
- cleanup for Extras
- -devel: Requires: pkgconfig

Comment 1 Ville Skyttä 2006-04-11 20:05:42 UTC
* rpmlint messages needing action:
  E: glib non-utf8-spec-file glib.spec
  --> use eg. iconv to convert it (from iso-8859-1, I guess)
  W: glib unstripped-binary-or-object /usr/lib64/libgmodule-1.2.so.0.0.10
  --> executable bits missing
* %description (the last sentence) could be updated considering that glib 1.x is
  legacy stuff, "will depend" is a bit bold a statement nowadays :)
* "|| :" at end of %check is superfluous

Comment 2 Michael Schwendt 2006-04-12 07:36:00 UTC
--- glib.spec.orig      2006-04-09 04:20:56.000000000 +0200
+++ glib.spec   2006-04-12 09:36:12.000000000 +0200
@@ -59,7 +59,7 @@
 
 rm -rf $RPM_BUILD_ROOT%{_infodir}
 rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
-#chmod a+x $RPM_BUILD_ROOT%{_libdir}/*.so
+chmod a+x $RPM_BUILD_ROOT%{_libdir}/*.so.*
 
 
 %clean

Comment 3 Rex Dieter 2006-04-12 11:56:25 UTC
* Wed Apr 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1:1.2.10-20
- cleanup %%description
- libgmodule-1.2.so.0* missing eXecute bit
- utf-8'ize specfile

I chose to keep the %check ||:, since this is a legacy pkg afterall, and it
certainly doesn't hurt anything.

Spec Name or Url: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/glib-1.2.10-20.spec
SRPM Name or Url:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/glib-1.2.10-20.src.rpm


Comment 4 Ville Skyttä 2006-04-23 18:12:50 UTC
Sorry for the delay, I don't remember seeing bugmails about the progress made
here.  1.2.10-20 looks good, approved.

(Even though glib is legacy stuff, this particular package probably won't ever
enter < FC6, so the "|| :" is indeed very much superfluous...)

Comment 5 Rex Dieter 2006-04-24 14:34:41 UTC
Thanks, imported.


Note You need to log in before you can comment on or make changes to this bug.